package com.zh.project0512.mapper;

import com.zh.project0512.model.UserTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-27
 */
public interface UserTaskMapper extends BaseMapper<UserTask> {
    @Select("select task.status from task inner join userTask on userTask.taskId = task.id and taskId = #{taskId} and userId = #{userId}")
    Integer userTaskStatus(int userId,int taskId);
}
