package com.zh.project0512.model.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 用户角色添加 DTO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "用户角色添加")
public class AdminRoleInsertDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 角色名称
     */
    @Schema(title = "角色名称")
    @NotBlank(message = "角色名称不能为Null")
    private String name;

}
