package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户角色
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("adminRole")
public class AdminRole implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Integer id;
    /**
     * 角色名称
     */
    @TableField("name")
    private String name;
    /**
     * 角色编码
     */
    @TableField("code")
    private String code;
    /**
     * 创建时间
     */
    @TableField("createAt")
    private Date createAt;
    /**
     * 修改时间
     */
    @TableField("modifyAt")
    private Date modifyAt;
}
