package com.zh.project0512.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Reference;
import com.zh.project0512.model.UserReference;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
public interface IUserReferenceService extends IService<UserReference> {
    void addGroup(int userId,List<Integer> referenceIdList, LocalDateTime creatAt);
    IPage<String> dateList(IPage iPage, String openid, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);
    List<Map> list(String openid,List<String> list,List<Integer> tagIdList,List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);
}
