package com.zh.project0512.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.project0512.model.Reference;
import com.zh.project0512.model.User;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-05-18
 */
public interface IUserService extends IService<User> {
    public User selByOpenid(String openid);
    Map selByOpenid2(@Param("openid") String openid);
    public void updByOpenid(String openid, String token, LocalDateTime time);
    IPage<Map> pageList(IPage iPage, @Param("ew") Wrapper<User> queryWrapper);
}
