package com.zh.project0512.serviceImpl;

import com.zh.project0512.model.TaskTag;
import com.zh.project0512.mapper.TaskTagMapper;
import com.zh.project0512.service.ITaskTagService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-22
 */
@Service
public class TaskTagServiceImpl extends ServiceImpl<TaskTagMapper, TaskTag> implements ITaskTagService {
    @Autowired
    private TaskTagMapper taskTagMapper;
    @Override
    public void addGroup(List list,int id) {
        taskTagMapper.addGroup(list,id);
    }
    @Override
    public List selByTaskId(int id){
        return taskTagMapper.selByTaskId(id);
    }
}
